import 'package:comunic/lists/abstract_list.dart';
import 'package:comunic/models/call_member.dart';

/// Call members list
///
/// @author Pierre Hubert

class CallMembersList extends AbstractList<CallMember> {
  /// Get the IDs of the users in this list
  Set<int> get usersID => this.map((f) => f.id).toSet();

  /// Remove a specific member from this list
  void removeUser(int userID) => this.removeWhere((f) => f.id == userID);

  /// Get the connection of a specific user
  CallMember getUser(int userID) => this.firstWhere((f) => f.id == userID);
}
